libwpg: libwpg::DirTree Class Reference documentation

# libwpg::DirTree Class Reference

List of all members.

## Public Member Functions
| DirTree ()
void | clear ()
unsigned | entryCount ()
DirEntry * | entry (unsigned index)
DirEntry * | entry (const std::string &name)
int | parent (unsigned index)
std::string | fullName (unsigned index)
std::vector< unsigned > | children (unsigned index)
void | load (unsigned char *buffer, unsigned len)
void | save (unsigned char *buffer)
## Static Public Attributes
static const unsigned | End = 0xffffffff
## Private Member Functions
| DirTree (const DirTree &)
DirTree & | operator= (const DirTree &)
## Private Attributes
std::vector< DirEntry > | entries

## Constructor & Destructor Documentation

libwpg::DirTree::DirTree | ( |  | ) |

libwpg::DirTree::DirTree | ( | const DirTree & |  | ) | `[private]`

## Member Function Documentation

void libwpg::DirTree::clear | ( |  | ) |

Referenced by DirTree().

unsigned libwpg::DirTree::entryCount | ( |  | ) |

Referenced by children(), dirtree_find_siblings(), entry(), and parent().

libwpg::DirEntry * libwpg::DirTree::entry | ( | unsigned | index | ) |

Referenced by children(), dirtree_find_siblings(), entry(), fullName(), and libwpg::StorageIO::streamIO().

libwpg::DirEntry * libwpg::DirTree::entry | ( | const std::string & | name | ) |

int libwpg::DirTree::parent | ( | unsigned | index | ) |

Referenced by fullName().

std::string libwpg::DirTree::fullName | ( | unsigned | index | ) |

std::vector< unsigned > libwpg::DirTree::children | ( | unsigned | index | ) |

Referenced by entry(), and parent().

void libwpg::DirTree::load | ( | unsigned char * | buffer,
|  | unsigned | len |
| ) |  |  |

Referenced by libwpg::StorageIO::load().

void libwpg::DirTree::save | ( | unsigned char * | buffer | ) |

DirTree& libwpg::DirTree::operator= | ( | const DirTree & |  | ) | `[private]`

## Member Data Documentation

const unsigned libwpg::DirTree::End = 0xffffffff`[static]`

Referenced by clear().

std::vector<DirEntry> libwpg::DirTree::entries`[private]`

Referenced by clear(), entry(), entryCount(), and load().

The documentation for this class was generated from the following file:

- WPGOLEStream.cpp